% Vamos a ver distintas salidas que se pueden obtener con Octave para numeros
% enteros, numeron decimales y cadenas de caracteres (texto).

clc % Limpia la "Ventana de comandos" cada vez que se ejecuta este script

% Usaremos los siguientes ejemplos.
a=sqrt(286); % La raiz cuadrada de 286.
b=286;
algo= "Hemos visto algunos modos de salida con Octave";

printf("\n")
disp("Veamos algunos ejemplos de salidas con Octave \n")

% El comando \n genera un salto de linea.
printf("\n") % Si esta linea se comenta entonces la salida anterior y la
             % siguiente aparecen mas juntas. Compruebalo.

disp("Salidas de numeros con decimales \n")

% Modo para que aparezcan siete decimales.
printf("a vale %.7f ", a)
disp("(Aparecen 7 decimales si escribimos %.7f) \n")

% Si se nos olvida el punto siempre aparecen seis decimales.
printf("a vale %7f ", a)
disp("(Si se olvida el punto siempre aparecen seis decimales) \n")

% Si se nos olvida el punto, da igual lo que escribamos (3f, 5f, 9f), siempre
% apareceran seis decimales. Compruebalo.
printf("a vale %3f ", a)
disp("(Da igual que escribamos 3f, 5f, 9f o algo similar) \n")

% Escribamos de nuevo el punto y cambiemos el numero de decimales.
printf("a vale %.11f ", a)
disp("(Si escribimos %.11f entonces aparecen 11 decimales) \n")

% Tambien podemos hacer que aparezcan 0 decimales.
printf("a vale %.0f ", a)
disp("(Si tomamos 0 decimales entonces redondea al entero mas cercano) \n")

% Modo para que aparezcan cinco digitos, independientemente
printf("a vale %.5d ", a)
disp( "(Aparecen 5 digitos si escribimos %.5d) \n")

% Si se nos olvida el punto siempre aparecen seis decimales.
printf("a vale %5d ", a)
disp("(Si se olvida el punto siempre aparecen seis digitos) \n")

printf("\n")
disp("Salidas de numeros enteros \n")

disp("El valor de b es igual a \n")

% Para expresar en base 8.
printf("%o ", b)
disp("si lo expresamos en base 8 \n")

% Para expresar en base 10.
printf("%u ", b)
disp("si lo expresamos en base 10 \n")

% Para expresar en base 16 con minusculas.
printf("%x ", b)
disp("si lo expresamos en base 16 (con minusculas) \n")

% Para expresar en base 16 con mayusculas.
printf("%X ", b)
disp("si lo expresamos en base 16 (con mayusculas) \n")

% Y para acabar, salidas de cadenas de caracteres (texto).
printf("\n")
disp("Salidas de cadenas de caracteres (texto) \n")
printf("%s ", algo)
disp("(Las palabras aparecen como tales) \n")

printf("%c ", algo)
printf("\n")
disp("(Ahora las palabras estan divididas letra a letra) \n")

% Cuidado con incluir comandos de mas. Por ejemplo \n.
% Descomenta las lineas siguientes y observa que ocurre.
% printf("%c \n", algo)
% printf("\n")
% disp("(Un comando de mas y la division es linea a linea) \n")
